View Issue Details
ID | Project | Category | View Status | Date Submitted | Last Update |
---|---|---|---|---|---|
0024114 | Community | OCCT:Modeling Algorithms | public | 2013-08-16 06:42 | 2013-08-16 06:42 |
Reporter | robinhao | Assigned To | |||
Priority | normal | Severity | crash | ||
Status | new | Resolution | open | ||
Platform | Win32 | OS | Windows | ||
Product Version | 6.5.2 | ||||
Summary | 0024114: BRepBuilderAPI_MakePolygon crash | ||||
Description | BRepBuilderAPI_MakePolygon will be crash when apply some polygon. | ||||
Steps To Reproduce | BRepBuilderAPI_MakePolygon MP; MP.Add(gp_Pnt(0,0,0)); MP.Add(gp_Pnt(30,100,0)); MP.Add(gp_Pnt(40,20,0)); MP.Add(gp_Pnt(100,0,0)); MP.Add(gp_Pnt(70,45,0)); MP.Add(gp_Pnt(50,50,0)); MP.Add(gp_Pnt(60,70,0)); MP.Add(gp_Pnt(0,50,0)); MP.Add(gp_Pnt(20,50,0)); MP.Close(); TopoDS_Wire myWireProfile = MP.Wire(); GeomAbs_JoinType JoinType = GeomAbs_Arc; BRepOffsetAPI_MakeOffset Paral2; Paral2.Init(JoinType); Paral2.AddWire(myWireProfile); Paral2.Perform(-15); TopoDS_Shape anOffsetShape2 = Paral2.Shape(); | ||||
Tags | No tags attached. | ||||
Test case number | |||||